Bug 487527 - Review Request: watchdog - Software and/or Hardware watchdog daemon
Review Request: watchdog - Software and/or Hardware watchdog daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 10:38 EST by Richard W.M. Jones
Modified: 2013-01-13 07:17 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.5-2.fc10.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-13 06:08:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2009-02-26 10:38:08 EST
Spec URL: http://www.annexia.org/tmp/watchdog.spec
SRPM URL: http://www.annexia.org/tmp/watchdog-5.5-1.fc11.src.rpm
Description: Software and/or Hardware watchdog daemon

rpmlint gives the following warnings, which I think are OK
because these shell scripts ought to be executable:

watchdog.x86_64: W: spurious-executable-perm /usr/share/doc/watchdog-5.5/examples/repair.sh
watchdog.x86_64: W: spurious-executable-perm /usr/share/doc/watchdog-5.5/examples/uptime.sh
watchdog.x86_64: W: spurious-executable-perm /usr/share/doc/watchdog-5.5/examples/dbcheck.sh

Koji scratch build in dist-f11:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1191591
Comment 1 Marcela Mašláňová 2009-03-05 08:51:51 EST
OK Rpmlint must be run on every package.
OK The package must be named according to the Package Naming Guidelines.
OK The spec file name must match the base package %{name}.
OK The package must meet the Packaging Guidelines.
OK The package must be licensed with a Fedora approved license.
OK The License field in the package spec file must match the actual license.
OK If (and only if) the source package includes the text of the license(s) in its own file.
OK The spec file must be written in American English.
OK The spec file for the package MUST be legible.
OK f4fbb3465bdc0d0ac27bdd2972f7f469 The sources used to build the package must match the upstream source.
OK The package MUST successfully compile.
OK Correct BuildRequires.
OK Proper use of %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
OK Shared library files (not just symlinks) must call ldconfig in %post and %postun.
OK Relocatable package must state this fact in the request for review.
OK A package must own all directories that it creates.
OK A package must not contain any duplicate files in the %files listing.
? Permissions on files must be set properly.
OK Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
OK Each package must consistently use macros.
OK The package must contain code, or permissable content.
OK Large documentation files must go in a -doc subpackage.
OK If a package includes something as %doc, it must not affect the runtime of the application.
OK Header files must be in a -devel package.
OK Static libraries must be in a -static package.
OK Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
OK Library files with a suffix (e.g. libfoo.so.1.1) and files that end in .so (without suffix) must go in -devel.
OK In the vast majority of cases, devel packages must require the base package.
OK Packages must NOT contain any .la libtool archives.
OK Packages containing GUI applications must include a %{name}.desktop file.
OK At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

Usually instead of 755 in %defattr(-, root, root, 0755) is used simply -.
rpmlint has true. The scripts which are installed into /usr/share meant to be examples. That means they shouldn't be executable.
Comment 2 Richard W.M. Jones 2009-03-05 10:37:35 EST
Thanks for looking at this package.  I think that %defattr is
just a mistake copied from the RHEL package.  The following package
is just modified to make that change:

Spec URL: http://www.annexia.org/tmp/watchdog.spec
SRPM URL: http://www.annexia.org/tmp/watchdog-5.5-2.fc11.src.rpm

* Thu Mar  5 2009 Richard W.M. Jones <rjones@redhat.com> - 5.5-2
- Use '-' in defattr line instead of explicit file mode.
Comment 3 Richard W.M. Jones 2009-03-05 10:39:44 EST
> The scripts which are installed into /usr/share meant to be
> examples. That means they shouldn't be executable.

I guess the trouble is if they're not executable, then people
won't be able to run them ...  You want me to make this change?
Comment 4 Marcela Mašláňová 2009-03-06 02:01:05 EST
The executable examples were discussed many times. They shouldn't be executable and also they are located in doc, so that means it shouldn't be executable twice ;-)
I'm sorry but this blocker for review. Everything else is all right.
Comment 5 Richard W.M. Jones 2009-03-06 04:09:00 EST
Can you point me to where this was discussed?  The only link I can find
to discussion is this thread [sorry about the horrible URL]:

http://markmail.org/search/fedora+packaging+%22Executable+documentation%22#query:fedora%20packaging%20%22Executable%20documentation%22+page:1+mid:yrrunqykcbvhx775+state:results

There's an oblique and unconvincing reference to this being a "mistake" here:

http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes

Also, lots of existing documentation contains executable scripts:

find /usr/share/doc/ -perm /111 -a \! -type d
Comment 6 Marcela Mašláňová 2009-03-06 04:51:33 EST
(In reply to comment #5)
> Can you point me to where this was discussed?  The only link I can find
> to discussion is this thread [sorry about the horrible URL]:
> 
> http://markmail.org/search/fedora+packaging+%22Executable+documentation%22#query:fedora%20packaging%20%22Executable%20documentation%22+page:1+mid:yrrunqykcbvhx775+state:results
> 
> There's an oblique and unconvincing reference to this being a "mistake" here:
> 
> http://fedoraproject.org/wiki/Packaging/FrequentlyMadeMistakes
I don't remember any particular discussion but bugzillas and time to time questions at fedora-devel. If you aren't sure you can ask again on fedora-devel.

> 
> Also, lots of existing documentation contains executable scripts:
> 
> find /usr/share/doc/ -perm /111 -a \! -type d  

And I believe this is wrong.
Comment 7 Richard W.M. Jones 2009-03-06 05:06:29 EST
Raised on f-d-l:

https://www.redhat.com/archives/fedora-devel-list/2009-March/msg00355.html
Comment 8 Richard W.M. Jones 2009-03-09 11:35:27 EDT
https://www.redhat.com/archives/fedora-devel-list/2009-March/thread.html#00355

Have we reached an impasse on this? There wasn't really any
general agreement on the mailing list, even about whether the
current packaging guidelines say this is wrong, never mind what
the guideline should be.
Comment 9 Marcela Mašláňová 2009-03-12 04:05:41 EDT
I think FESCO should fix guidelines... Anyway leave it as it is, because there was made no decision. I don't want block your package for such trivial problem.

ACCEPTED
Comment 10 Richard W.M. Jones 2009-03-12 09:13:38 EDT
New Package CVS Request
=======================
Package Name: watchdog
Short Description: Software and/or hardware watchdog daemon
Owners: rjones
Branches: F-10
InitialCC:
Comment 11 Kevin Fenzi 2009-03-12 22:36:18 EDT
How about bringing it up on the fedora-packaging list and ask the packaging folks to look at it?

cvs done.
Comment 12 Richard W.M. Jones 2009-03-13 05:31:42 EDT
Thanks - I asked the question on fedora-packaging list.
Comment 13 Marcela Mašláňová 2009-03-13 05:34:06 EDT
I'm sorry, I've already resent your email from fedora-devel to fedora-packaging :(

But anyway you can add it to cvs and then patch it, if they change it.
Comment 14 Fedora Update System 2009-03-13 05:56:53 EDT
watchdog-5.5-2.fc10.1 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/watchdog-5.5-2.fc10.1
Comment 15 Richard W.M. Jones 2009-03-13 06:08:18 EDT
OK we're all done now.  Thanks Marcela for the review and
Kevin for the CVS work.

I removed the "cleanup-nfs" patch.  It looks very dubious
to me.  I can't see how it would do anything except break
NFS support.
Comment 16 Fedora Update System 2009-03-13 14:40:56 EDT
watchdog-5.5-2.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.